name = ABSUHFConcentratorPropertiesConfiguration
status = warn
monitorInterval = 30

property.basePath = logs

appenders = rolling, console

appender.rolling.type = RollingFile
appender.rolling.name = rollingFileAppender
appender.rolling.fileName = ${basePath}/${sys:logFilename}_${date:dd_MM_yyyy}.log
appender.rolling.filePattern = ${basePath}/${sys:logFilename}_%d{dd_MM_yyyy}_%i.log
appender.rolling.layout.type = PatternLayout
appender.rolling.layout.pattern = %d{yyyy-MM-dd HH:mm:ss.SSS} %5p --- [%50.50t] %-50.50C : %m%n
appender.rolling.policies.type = Policies
appender.rolling.policies.size.type = SizeBasedTriggeringPolicy
appender.rolling.policies.size.size = 10MB
appender.rolling.policies.time.type = TimeBasedTriggeringPolicy
appender.rolling.policies.time.interval = 1
appender.rolling.policies.time.modulate = true
appender.rolling.strategy.type = DefaultRolloverStrategy
appender.rolling.strategy.action.type = Delete
appender.rolling.strategy.action.basepath = ${basePath}
appender.rolling.strategy.action.maxdepth = 1
appender.rolling.strategy.action.condition.type = IfLastModified
appender.rolling.strategy.action.condition.age = 30D

appender.console.type = Console
appender.console.name = consoleAppender
appender.console.target = SYSTEM_OUT
appender.console.layout.type = PatternLayout
appender.console.layout.pattern = %d{yyyy-MM-dd HH:mm:ss.SSS} %5p --- [%50.50t] %-50.50C : %m%n

loggers = abs, springframework

logger.abs.name = com.abslbs
logger.abs.level = info
logger.abs.additivity = false
logger.abs.appenderRef.rolling.ref = rollingFileAppender
logger.abs.appenderRef.console.ref = consoleAppender

logger.springframework.name = org.springframework.boot
logger.springframework.level = error
logger.springframework.additivity = false
logger.springframework.appenderRef.rolling.ref = rollingFileAppender
logger.springframework.appenderRef.console.ref = consoleAppender

rootLogger.level = warn
rootLogger.additivity = false
rootLogger.appenderRef.rolling.ref = rollingFileAppender
rootLogger.appenderRef.console.ref = consoleAppender